%define name    muhasebeci
%define version 0.5.5
%define release YTLmdk

# Macros for in the menu-file.
%define section More applications/Finances
%define title   Muhasebeci
%define Summary Open Source Financial Application

Summary:        %Summary
Name:           %name
Version:        %version
Release:        %release
License:        GPL
Group:          Office
URL:            http://muhasebeci.sf.net
Packager:       Tanju TASCILAR <tanju@elektronist.com>

Source0:        %name-%version.tar.bz2
Source1:        %name-icons.tar.bz2
Source2:	%name-fix-links.tar.bz2
Patch0:		%name.patch.tar.bz2

BuildRoot:      %_tmppath/%name-buildroot

# Buildrequires:
# Requires:  

%description
Muhasebeci uygulamas, Linux altnda GPL olarak yazlan bir muhasebe 
programdr. Uygulama MySQL veritabanini kullanir

%prep
%setup -q
%setup -q -T -D -a1 # unpack icons
%setup -q -T -D -a2
rm authors
rm install
rm news
rm readme
rm todo
%patch0 -p1 -b .patch

%build
%configure
%make

%install
rm -rf %buildroot
%makeinstall

# Menu
mkdir -p %buildroot/%_menudir
cat > %buildroot/%_menudir/%name << EOF
?package(%name): \
command="%_bindir/%name" \
needs="X11" \
icon="%name.png" \
section="%section" \
title="%title" \
longtitle="%Summary"
EOF

# icon
%__install -D -m 644 %{name}-48.png %buildroot/%_liconsdir/%name.png
%__install -D -m 644 %{name}-32.png %buildroot/%_iconsdir/%name.png
%__install -D -m 644 %{name}-16.png %buildroot/%_miconsdir/%name.png

# Macro for locales
%find_lang %name

%post
%update_menus

%postun
%clean_menus

%clean
rm -rf %buildroot

%files -f %name.lang
%defattr(0755, root, root, 0755)
%_bindir/*
%defattr(0644, root, root, 0755)

%doc COPYING README INSTALL AUTHORS

%_menudir/*
%_miconsdir/*
%_iconsdir/*
%_liconsdir/*

%changelog
* Sat Aug 30 2004 Yuksel OZCAN <yuksel@linux-sevenler.org> - 0.4
- Updated to release 0.5-5
